Subject: FVWM: [2.0.41] still coring using tgif

From: "Paul D. Smith" <[email-masked]>
Date: Wed, 13 Mar 96 11:58:49 EST

OK, I pulled the very latest tgif 2.16-p12 and it still causes FVWM to
core in exactly the same way.

It turns out that the only time tgif causes a core is _after_ I've
resized the tgif window.  I played with tgif for about 10 mins without a
problem, then I resized the window (by dragging the right FVWM border)
and very quickly after that FVWM cored.  I then started tgif and
immediately resized the border, and again FVWM cored very shortly
afterward.  Note you must actually be fooling around in tgif, if you
don't do anything it won't core.

I'm not 100% sure but it might have happened the first time I moved the
mouse outside of the tgif window after resizing.

I have no tgif resources set personally, and tgif doesn't install any
system ones either.

I'm using X11R6 fix 12 from MIT on SunOS 4.1.3_U1.  I've recompiled FVWM
and tgif to use the X11R6 libs and headers; ldd shows:

  $ ldd tgif 
        -lXext.4 => /usr/X11R6/lib/libXext.so.4.20
        -lX11.4 => /usr/X11R6/lib/libX11.so.4.20
        -lc.1 => /usr/lib/libc.so.1.9
        -ldl.1 => /usr/lib/libdl.so.1.0
  $ ldd fvwm2
        -lXpm.4 => /usr/X11R6/lib/libXpm.so.4.8
        -lXext.4 => /usr/X11R6/lib/libXext.so.4.20
        -lX11.4 => /usr/X11R6/lib/libX11.so.4.20
        -lc.1 => /usr/lib/libc.so.1.9
        -ldl.1 => /usr/lib/libdl.so.1.0

I'm not sure where to go from here: could this be a bug in FVWM?  Could
that event number get trashed somehow by FVWM before it's used?  Or is
that value take directly from the X API, and this is a bug in X?

-------------------------------------------------------------------------------
 Paul D. Smith <[email-masked]>         Network Management Development
 Senior Software Engineer                                   Bay Networks, Inc.
-----------------------------------------------==<http://www.baynetworks.com/>-
 "Please remain calm...I may be mad, but I am a professional." --Mad Scientist
-------------------------------------------------------------------------------
     These are my opinions--Bay Networks takes no responsibility for them.
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].